if collection.any?
  {:options => {}, :column_names => collection.first.attributes.keys, :header => true}.each do |key, default|
    instance_variable_set("@#{key}", (resource_class.respond_to?("xls_#{key}".to_sym) ? resource_class.send("xls_#{key}".to_sym) : default))
  end

  collection_for collection, :output => :XLSX do |t|
    t.header @column_names.collect {|elem| Hash === elem ? elem.keys.first : elem} if @header
    t.body do |elem|
      elem.attributes.values_at(*@column_names.collect {|elem| Hash === elem ? elem.values.first.to_s : elem.to_s}).each { |value| t.cell value}
    end
  end
end