require "spyro/engine"

module Spyro


    Dir[File.dirname(__FILE__) + "/spyro/collections/**/*.rb"].each do |file|
        p "🐲 require #{file}"
      require file
    end

    require "spyro/helpers/action_view_extension"
    require "spyro/usefull_attributes"
    require "spyro/namespace_template_inheritance"
    require "spyro/filters_controller_add_on"
    require "spyro/application_controller_add_on"
    require "spyro/active_record_add_on"
    require "spyro/controllers/strong_parameted"

    ActiveSupport.on_load(:action_view) do
      ::ActionView::Base.send :include, Spyro::ActionViewExtension

      ::ActiveRecord::Base.send(:include, UsefullAttributesExtension)
    end
end
