require "cancan"

# This module is not loaded in API anymore
module ApplicationControllerAddOn
  extend ActiveSupport::Concern

  def self.included daddy
    daddy.before_filter :namespace_view_path
  end

  def class_namespace
    @class_namespace ||= self.class.to_s.split('::').first.downcase.to_sym
  end

  def namespace_view_path
    append_view_path "#{File.dirname(__FILE__)}/../../app/views/locker"
    append_view_path NamespaceTemplateInheritance.new(class_namespace)
    append_view_path GemNamespaceTemplateInheritance.new(class_namespace)
  end
end

class ActionController::Base
  include ApplicationControllerAddOn
end
