require_relative "table"

module Spyro
  module ActionViewExtension

    module CollectionForHelper
      module Output
        class AdminTable < Table
          delegate :mini_button_error, to: :@h


          def initialize unicollection, helper, parser_class
            super
            unicollection.meta[:html] ||= {}
            unicollection.meta[:html][:'data-model'] = unicollection.meta[:model_class].try(:underscore)
            unicollection.meta[:header] = ['<input type="checkbox" class="select all">'] + unicollection.meta[:header]
            unicollection.meta[:footer] = ["<span class='pull-left'>#{unicollection.meta[:footer].join}</span><span class='pull-right btns btn-group'>#{[*(unicollection.meta[:multiple_buttons] || unicollection.meta[:multiple_button])].join}</span>"]

            @unicollection.rows.each do |row|
              row[:data] = [UniData::Element.new(value: "<input type='checkbox' class='select one' data-id='#{row[:meta][:id]}'>", type: String, name: 'checkbox', db_type: String)] + row[:data]
            end
          end

        end
      end
    end
  end
end
