class NamespaceTemplateInheritance < ::ActionView::FileSystemResolver
  def initialize namespace
    @namespace = namespace
    super('app/views')
  end

  def find_templates(name, prefix, partial, details, outside_app_allowed = true)
    if @namespace == :admin
      super(name, 'admins/base', partial, details)
    else
      super(name, 'base', partial, details)
    end
  end
end


class GemNamespaceTemplateInheritance < ::ActionView::FileSystemResolver
  def initialize namespace
    @namespace = namespace
    super("#{File.dirname(__FILE__)}/../../app/views/")
  end

  def find_templates(name, prefix, partial, details, outside_app_allowed = true)
    if @namespace == :admin
      super(name, "admins/base", partial, details)
    else
      super(name, "base", partial, details)
    end
  end
end
