require_relative "base"

module Spyro
  module ActionViewExtension

    module CollectionForHelper
      module Output
        class Map < Output::Base
          delegate :image_tag, to: :@h

          def render
            locations = @unicollection.rows.map do |r|
              r[:data].map(&:value).join(', ')
            end

            image_tag "http://maps.googleapis.com/maps/api/staticmap?size=600x300&maptype=roadmap&sensor=false&#{locations.map {|location| "markers=#{location}"}.join('&')}"
          end
        end
      end
    end
  end
end
