module UsefullAttributesExtension
  extend ActiveSupport::Concern

  def usefull_attributes *black_list
    black_list = black_list.first if black_list.first.is_a? Array
    self.attributes.except(*['id', 'created_at', 'updated_at'] + black_list.map(&:to_s))
  end

  def usefull_attribute_names *black_list
    black_list = black_list.first if black_list.first.is_a? Array
    (self.attribute_names - ['id', 'created_at', 'updated_at'] - black_list.map(&:to_s)).map(&:to_sym)
  end
end

